# eric6.Plugins.UiExtensionPlugins.PipInterface.PipDialog

Module implementing a dialog showing the output of a pip command.

### Global Attributes

None

### Classes

PipDialog | Class implementing a dialog showing the output of a pip command.

### Functions

None

## PipDialog

Class implementing a dialog showing the output of a pip command.

### Derived from

QDialog, Ui_PipDialog

### Class Attributes

None

### Class Methods

None

### Methods

PipDialog | Constructor
__addOutput | Private method to add some text to the output pane.
__finish | Private slot called when the process finished or the user pressed the button.
__procFinished | Private slot connected to the finished signal.
__readStderr | Private slot to handle the readyReadStandardError signal.
__readStdout | Private slot to handle the readyReadStandardOutput signal.
closeEvent | Protected slot implementing a close event handler.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
startProcess | Public slot used to start the process.
startProcesses | Public method to issue a list of commands to be executed.

### Static Methods

None

#### PipDialog (Constructor)

PipDialog(text, parent=None)

Constructor

text
  text to be shown by the label (string)
parent
  reference to the parent widget (QWidget)

#### PipDialog.__addOutput

__addOutput(txt)

Private method to add some text to the output pane.

txt (str)
  text to be added

#### PipDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### PipDialog.__procFinished

__procFinished(exitCode, exitStatus)

Private slot connected to the finished signal.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### PipDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStandardError signal.

It reads the error output of the process and inserts it into the error pane.

#### PipDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStandardOutput signal.

It reads the output of the process, formats it and inserts it into the contents pane.

#### PipDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### PipDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### PipDialog.startProcess

startProcess(cmd, args, showArgs=True)

Public slot used to start the process.

cmd
  name of the pip executable to be used (string)
args
  list of arguments for the process (list of strings)
showArgs=
  flag indicating to show the arguments (boolean)

Returns:
  flag indicating a successful start of the process

#### PipDialog.startProcesses

startProcesses(processParams)

Public method to issue a list of commands to be executed.

processParams (list of tuples of str and list of str)
  list of tuples containing the command and arguments

Returns:
  flag indicating a successful start of the first process

Return Type:
  bool

Up